### A free/open-source library for quantitative finance

Classes | Typedefs
ql/experimental/commodities/pricingperiod.hpp File Reference

Pricing period. More...

`#include <ql/experimental/commodities/dateinterval.hpp>`
`#include <ql/experimental/commodities/quantity.hpp>`
`#include <vector>`
Include dependency graph for pricingperiod.hpp:

## Classes

class | PricingPeriod
| Time pricingperiod described by a number of a given time unit. More...

## Typedefs

typedef std::vector < boost::shared_ptr < PricingPeriod > > | PricingPeriods

## Detailed Description

Pricing period.